#!/bin/sh

old_b='0';

while :
do
	b=`cat /sys/class/backlight/acpi_video0/brightness`;

	if [ $old_b != $b ]; then
		#echo "Screen brightness level change"
		old_b=$b
		case $b in
			0) value=19;;
			1) value=32;;
			2) value=4B;;
			3) value=64;;
			4) value=7D;;
			5) value=96;;
			6) value=AF;;
			7) value=C8;;
			8) value=E1;;
			*) value=FF;;
		esac

		setpci -s 00:02.0 F4.B=$value
	fi

	sleep 0.5
done
